---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2025-10-27T11:31:19Z"
  labels:
    control-plane: operator-controller-controller-manager
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:control-plane: {}
      f:rules: {}
    manager: cluster-olm-operator
    operation: Update
    time: "2025-10-27T11:31:19Z"
  name: operator-controller-metrics-monitor-role
  namespace: openshift-operator-controller
  resourceVersion: "7685"
  uid: 52efb8d5-c8fd-48bd-be9f-5253000c69f6
rules:
- apiGroups:
  - ""
  resources:
  - services
  - endpoints
  - pods
  verbs:
  - get
  - list
  - watch
